> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Form Submissions

> List a form's submissions with answers, submitter and run status.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces/{workspace_id}/forms/{form_id}/submissions
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/forms/{form_id}/submissions:
    get:
      tags:
        - forms
      summary: List Form Submissions
      description: List a form's submissions with answers, submitter and run status.
      operationId: forms-list_form_submissions
      parameters:
        - name: form_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Form Id
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: submitted_after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Only submissions at or after this time.
            title: Submitted After
          description: Only submissions at or after this time.
        - name: submitted_before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Only submissions before this time.
            title: Submitted Before
          description: Only submissions before this time.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 20
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 8192
              - type: 'null'
            title: Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CursorPaginatedResponse_FormSubmissionRead_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    CursorPaginatedResponse_FormSubmissionRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/FormSubmissionRead'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Cursor for next page
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
          description: Cursor for previous page
        has_more:
          type: boolean
          title: Has More
          description: Whether more items exist
          default: false
        has_previous:
          type: boolean
          title: Has Previous
          description: Whether previous items exist
          default: false
        total_estimate:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Estimate
          description: Estimated total count from table statistics
      type: object
      required:
        - items
      title: CursorPaginatedResponse[FormSubmissionRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FormSubmissionRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        form_id:
          type: string
          format: uuid
          title: Form Id
        answers:
          additionalProperties: true
          type: object
          title: Answers
        submitted_by:
          anyOf:
            - $ref: '#/components/schemas/FormActorRead'
            - type: 'null'
        definition_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Definition Version
          description: Null without form:submission:read.
        wf_exec_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Wf Exec Id
          description: Null without form:submission:read.
        run_status:
          anyOf:
            - type: string
              enum:
                - RUNNING
                - COMPLETED
                - FAILED
                - CANCELED
                - TERMINATED
                - CONTINUED_AS_NEW
                - TIMED_OUT
            - type: 'null'
          title: Run Status
          description: Null without form:submission:read, or if it is not known.
        submitted_at:
          type: string
          format: date-time
          title: Submitted At
        reference:
          type: string
          title: Reference
          description: Short code a requester can quote for a submission.
          readOnly: true
      type: object
      required:
        - id
        - form_id
        - answers
        - submitted_at
        - reference
      title: FormSubmissionRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FormActorRead:
      properties:
        type:
          type: string
          enum:
            - user
            - service_account
          title: Type
        id:
          type: string
          format: uuid
          title: Id
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Service account name.
      type: object
      required:
        - type
        - id
      title: FormActorRead
      description: Who submitted a form.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.